/* inizio: Menù interfaccia */
#navlink_home {
  vertical-align: top;
}

#logo {
  max-height: 48px;
  margin-top: 4px;
}

#ui_navbar {
  position: relative;
  top: 0;
  left: 0;
  line-height: 1.3;
}

#banner_navbar {
  width: 90px;
  height: 48px;
  display: inline-block;
}
#banner_navbar > .carousel-bg {
  font-size: var(--size-xs);
  color: var(--smurf-dark);
  text-align: right;
  padding-right: 6px;
  animation: slideLeft 1s ease-in-out;
}

@keyframes slideLeft {
  from {
    transform: translateX(100%);
  }
  to {
    transform: translateX(0);
  }
}

.vb-navbar {
  width: 100%;
  background-color: var(--air);
  padding: 10px;
  margin: 0;
  z-index: 99;
}

.vb-navbar .form-group {
  display: inline-block;
}

.vb-navbar .btn > i.bi {
  margin-right: 3px;
}

a.navlink {
  height: 24px !important;
  text-transform: uppercase;
  margin: auto 0;
  display: inline-block;
}
a.navlink > img {
  height: 100%;
}

a#navlink_account {
  position: relative;
  top: 10px;
  margin: unset;
}

a#navlink_account > i.bi {
  font-size: 1.5rem;
}

/*#section_filters,*/
#filter_period,
#filter_period > .vb-calendar,
#filter_search {
  display: none;
}

#section_filters {
  margin: 0 auto;
}

#filter_search .vb-text > input {
  background-color: white;
  border: 1px solid var(--air-dark);
  border-radius: 12px;
}

#ui_content {
  display: block; /* layout più esterno bloccato */
  transition: opacity 0.3s ease-in-out;
}

#ui_content h4 {
  font-weight: 600;
}

ul#attachment_list {
  list-style: decimal;
  line-height: var(--size-32);
  padding-left: 20px;
}
ul#attachment_list .vb-title > i {
  font-size: var(--size-md);
}

#list_activities .details {
  display: none;
}

@media (max-width: 450px) {
  #ui_content {
    padding: 0 10px;
  }
}
@media (max-width: 767px) {
  #logo {
    max-height: 40px;
    margin-top: 8px;
  }

  #btn_menu {
    width: 40px;
    height: 40px;
    font-size: var(--size-32);
    line-height: 40px;
    margin-top: 8px;
  }

  div#navlink_account + .dropdown-menu {
    left: -80px;
  }
}
/* fine: Menù interfaccia */

/* inizio: Toast */
.top-0 { top: 0 !important }
.end-0 { right: 0 !important }

.toast {
  --bs-toast-zindex: 1090;
  --bs-toast-padding-x: 0.75rem;
  --bs-toast-padding-y: 0.5rem;
  --bs-toast-spacing: 1.5rem;
  --bs-toast-max-width: 350px;
  --bs-toast-font-size: 0.875rem;
  --bs-toast-color: var(--cacao-dark);
  --bs-toast-bg: rgba(var(--bs-body-bg-rgb), 0.85);
  --bs-toast-border-width: var(--bs-border-width);
  --bs-toast-border-color: var(--bs-border-color-translucent);
  --bs-toast-border-radius: var(--bs-border-radius);
  --bs-toast-box-shadow: var(--bs-box-shadow);
  --bs-toast-header-color: var(--bs-secondary-color);
  --bs-toast-header-bg: rgba(var(--bs-body-bg-rgb), 0.85);
  --bs-toast-header-border-color: var(--bs-border-color-translucent);
  width: var(--bs-toast-max-width);
  max-width: 100%;
  font-size: var(--bs-toast-font-size);
  color: var(--bs-toast-color);
  pointer-events: auto;
  background-color: var(--bs-toast-bg);
  background-clip: padding-box;
  border: var(--bs-toast-border-width) solid var(--bs-toast-border-color);
  box-shadow: var(--bs-toast-box-shadow);
  border-radius: var(--bs-toast-border-radius)
}
.toast.showing { opacity:0 }
.toast:not(.show) { display :none }
.toast-container {
  --bs-toast-zindex: 1090;
  position: absolute;
  z-index: var(--bs-toast-zindex);
  width: -webkit-max-content;
  width: -moz-max-content;
  width: max-content;
  max-width: 100%;
  pointer-events: none
}
.toast-container>:not(:last-child) { margin-bottom: var(--bs-toast-spacing) }
.toast-header {
  display: flex;
  align-items: center;
  padding: var(--bs-toast-padding-y) var(--bs-toast-padding-x);
  color: var(--bs-toast-header-color);
  background-color: var(--bs-toast-header-bg);
  background-clip: padding-box;
  border-bottom: var(--bs-toast-border-width) solid var(--bs-toast-header-border-color);
  border-top-left-radius: calc(var(--bs-toast-border-radius) - var(--bs-toast-border-width));
  border-top-right-radius: calc(var(--bs-toast-border-radius) - var(--bs-toast-border-width))
}
.toast-header .btn-close {
  margin-right: calc(-.5 * var(--bs-toast-padding-x));
  margin-left: var(--bs-toast-padding-x)
}
.toast-body {
  padding: var(--bs-toast-padding-x);
  word-wrap: break-word
}

.toast-header .btn-close {
  --bs-btn-close-color: var(--strawberry);
  --bs-btn-close-bg: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16' fill='%23f9051c'%3e%3cpath d='M.293.293a1 1 0 0 1 1.414 0L8 6.586 14.293.293a1 1 0 1 1 1.414 1.414L9.414 8l6.293 6.293a1 1 0 0 1-1.414 1.414L8 9.414l-6.293 6.293a1 1 0 0 1-1.414-1.414L6.586 8 .293 1.707a1 1 0 0 1 0-1.414z'/%3e%3c/svg%3e");
  --bs-btn-close-opacity: 0.5;
  --bs-btn-close-hover-opacity: 0.75;
  --bs-btn-close-focus-shadow: 0 0 0 0.25rem rgba(13, 110, 253, 0.25);
  --bs-btn-close-focus-opacity: 1;
  --bs-btn-close-disabled-opacity: 0.25;
  --bs-btn-close-white-filter: invert(1) grayscale(100%) brightness(200%);
  box-sizing: content-box;
  position: absolute;
  top: 10px;
  right: 20px;
  width: 1em;
  height: 1em;
  padding: .25em .25em;
  color: var(--bs-btn-close-color);
  background: transparent var(--bs-btn-close-bg) center/1em auto no-repeat;
  border: 0;
  border-radius: .375rem;
  opacity: var(--bs-btn-close-opacity)
}
.toast-header .btn-close:hover {
  color: var(--bs-btn-close-color);
  text-decoration: none;
  opacity: var(--bs-btn-close-hover-opacity)
}
.toast-header .btn-close:focus {
  outline: 0;
  box-shadow: var(--bs-btn-close-focus-shadow);
  opacity: var(--bs-btn-close-focus-opacity)
}
.toast-header .btn-close.disabled,
.toast-header .btn-close:disabled {
  pointer-events: none;
  -webkit-user-select: none;
  -moz-user-select: none;
  user-select: none;
  opacity: var(--bs-btn-close-disabled-opacity)
}
.toast-header .btn-close-white { filter: var(--bs-btn-close-white-filter) }
[data-bs-theme=dark] .toast-header .btn-close{ filter: var(--bs-btn-close-white-filter) }

.toast-image,
.toast-message {
  display: inline-block;
}
.toast-image {
  width: 60px;
  height: 60px;
  vertical-align: middle;
  background-position: center;
  background-size: cover;
  background-repeat: no-repeat;
  background-origin: content-box;
}

#toast_danger {
  background-color: var(--apricot-light);
}
#toast_info {
  background-color: var(--smurf);
}
#toast_success {
  background-color: var(--apple-light);
}
#toast_danger .toast-image {
  background-image: url("../images/toast_emi.png");
  background-position: top;
}
#toast_info .toast-image {
  background-image: url("../images/toast_amarchetti.png");
}
#toast_success .toast-image {
  background-image: url("../images/toast_presidente.png");
}
/* fine: Toast */